FDFORMAT(1)

NAME
fdformat - format floppy disks

SYNOPSIS
fdformat [-q] [-v] [-n] [-f capacity] [-c cyls] [-s secs] [-h heads]
[-r rate] [-g gap3len] [-i intleave] [-S secshft] [-F fillbyte] [-t steps_per_track] device_name

DESCRIPTION
Fdformat formats a floppy disk at device device_name. Device_name should be a character device; it may be given either with a full path name of a raw device node for a floppy disk drive (e. g. /dev/rfd0), or default name in an abbreviated form (e. g. fd0). In the latter case, the name is constructed by prepending /dev/r and appending a .capacity to the device_name. Note that any geometry constraints of the device node (minor device number) are meaningless, since they're overridden by fdformat.

The options are as follows:

-q  suppress any normal output from the command, and don't ask the user for a confirmation whether to format the floppy disk at device_name.

-f capacity
    The normal way to specify the desired formatting parameters. Capacity is the number of kilobytes to format.

-n  Don't verify floppy after formatting.

-v  Don't format, verify only.

-c cyls

-s secs

-h heads

-r rate

-g gap3len

-i intleave

-S secshft

-F fillbyte

-t steps_per_track
    An alternate method to specify the geometry data to write to the floppy disk.
If the -q flag has not been specified, the user is asked for a confirmation of the intended formatting process. In order to continue, an answer of “y” must be given.

Note that fdformat does only perform low-level formatting. In case you wish to create a file system on the medium, see the commands newfs(8) for an ufs file system, or mkdosfs(1) for an MS-DOS (FAT) file system.

DIAGNOSTICS
Unless -q has been specified, a single letter is printed to standard output to inform the user about the progress of work. First, an ‘F’ is printed when the track(s) is being formatted, then a ‘V’ while it's being verified, and if an error has been detected, it will finally change to ‘E’.

An exit status of 0 is returned upon successful operation. Exit status 1 is returned on any errors during floppy formatting, and an exit status of 2 reflects invalid arguments given to the program (along with an appropriate information written to diagnostic output).

SEE ALSO
mkdosfs(1), fdc(4), newfs(8)

HISTORY
Fdformat has been developed for 386BSD 0.1 and upgraded to the new fd(4) floppy disk driver. It later became part of the FreeBSD system, release 1.1.

AUTHOR
The program has been contributed by Joerg Wunsch, Dresden, with changes by Serge Vakulenko and Andrey A. Chernov, Moscow.